Customer CDP
Update CDP preferences
Requires contacts:write, Customer CDP and a current administrator. revision provides optimistic concurrency control.
PUT
/
api
/
v2
/
accounts
/
{accountId}
/
cdp
/
preferences
Update CDP preferences
curl --request PUT \
--url https://app.huechat.ai/api/v2/accounts/{accountId}/cdp/preferences \
--header 'Content-Type: application/json' \
--data '
{
"modules": [
"services",
"b2b"
],
"revision": 2
}
'import requests
url = "https://app.huechat.ai/api/v2/accounts/{accountId}/cdp/preferences"
payload = {
"modules": ["services", "b2b"],
"revision": 2
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({modules: ['services', 'b2b'], revision: 2})
};
fetch('https://app.huechat.ai/api/v2/accounts/{accountId}/cdp/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}Path Parameters
HueChat account ID
Body
application/json
Industry modules and current revision
Response
OK
The response is of type object.
⌘I
Update CDP preferences

